Instalar el controlador FGLRX Catalyst "Legacy" de ATI (Driver binario) en (K)ubuntu 12.10 Quantal Quetzal.

Saludos,
Si eras usuario del controlador privativo/binario/propietario para tu tarjeta gráfica ATI RADEON HD4xxx (o inferior), es probable que al actualizar de Precise a Quantal te encuentres con una pantalla negra al reiniciar (como en mi caso), o con un sistema gráfico muy básico, o con problemillas (en mi caso el controlador libre y el Kernel no son capaces de vivir sin reiniciar mi monitor cada 20s porque tiene una EDID "defectuosa", llegando mis logs y terminales de mensajes de error).
Ésto se debe a que en la última versión de (K)ubuntu tenemos una versión del servidor X que no es soportada en general por el controlador privativo de ATI, aunque el propio ATI proporcionó a Canonical una versión compatible, más sin embargo las tarjetas anteriores a las RADEONHD 4000 requieren de una variante del controlador denominada "Legacy", que obviamente ATI no se ha molestado en actualizar/adaptar a las nuevas versiones del Xorg, y como suele ocurrir con los controladores de este tipo, es posible que no se actualicen nunca más.

Por lo tanto, las opciones que tenemos los usuarios de estas tarjetas son:

  • Usar el controlador libre ati/radeon: Elección predeterminada de ubuntu, sin embargo, para algunos no es opción dependiendo de nuestro hardware (tengo entendido que a veces igual hay problemas con monitores HDMI y semejantes...)
  • Usar el controlador básico VESA: Es una No-opción, obviamente.
  • Cambiar de tarjeta gráfica: No es en sí una solución, es darle la vuelta.
  • Regresar a la versión anterior del Xorg que está soportada por el controlador.

Por lo tanto, a muchos no nos queda más que la última opción, pero dado el árbol de dependencias en Quantal Quetzal, esto requeriría una tortuosa labor sustituyendo los paquetes necesarios y sus dependencias. Afortunadamente para nosotros, un usuario ha realizado esta labor y ha puesto a nuestra disposición un repositorio con los paquetes necesarios para que el proceso sea trivial para nosotros los usuarios, que a continuación cito:

0. Si tienes restos de instalaciones previas de FGLRX, siempre es recomendable deshacerte de los paquetes mediante el comando

sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*

1. Agrega el repositorio con el comando

sudo add-apt-repository ppa:makson96/fglrx

2. Actualiza tus fuentes de software y paquetes con los comandos

sudo apt-get update
sudo apt-get upgrade

3. Instala el controlador mediante el comando

sudo apt-get install fglrx-legacy

Confirma y Voila! Solito desinstalará/"actualizará" los paquetes necesarios para hacer funcionar a ese pequeño engendro del mal del cual muchos dependemos denominado FGLRX (Catalyst).
Claro está, no olviden escribir ANTES DE REINICIAR,

sudo amdconfig --initial -f

y ahora sí, a reiniciar a la "normalidad"...

Saludos, y suerte!

estimado amigo;
gracias por aportar una solución a este problema;
He intentado realizar lo que tu mencionas siguiendo exactamente tus pasos pero cuando coloco: fglrxinfo me sale esto:
kuser@khp:~$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
Major opcode of failed request: 135 (GLX)
Minor opcode of failed request: 19 (X_GLXQueryServerString)
Serial number of failed request: 12
Current serial number in output stream: 12
kuser@khp:~$

y creo es lo mismo que me sale cuando instalé los drivers propietarios de la manera clásica. con el aplicativo de drivers privativos.
Hiciste algo más en tu configuración??.
Tengo debian 6 instalado en otra partición de mi hp fv6 amd phenom dual core con amd radeon HD6400 y catalyst 12.3 instalado y me reconoce la tarjeta y por ende el comando fglrxinfo me muestra qye tengo aceleracion gráfica.

Tu tarjeta gráfica debe estar soportada por el controlador "actualizado" que tiene Ubuntu en sus repositorios. Si instalas el controlador binario descargado desde la página de ATI no funcionará en Quantal, necesitas usar el que provee Ubuntu.
El procedimiento que indiqué es específicamente para instalar el controlador Catalyst "Legacy" en Quantal, suponiendo que tu configuración funcionaba con ese controlador en Precise. El primer comando elimina cualquier "resquicio" de instalaciones anteriores, no usando el paquete descargado de ATI, pues en dado caso tienes que ejecutar como primer comando,

sudo sh /usr/share/ati/fglrx-uninstall.sh

Te recomiendo buscar información sobre problemas semejantes primero, por ejemplo aquí
http://askubuntu.com/questions/129597/how-do-i-fix-my-installation-of-at...
Creo que tu problema no está relacionado con esta entrada, así que si necesitas más ayuda probablemente lo mejor sea que abras un nuevo tema específicamente para esta situación, describiendo tu sistema (donde ocurre el error, ie, Kubuntu), exactamente qué pasos has realizado y en qué momento ocurre tu error (que por cierto, ese comando se supone que sólo debería funcionar una vez que ha concluido satisfactoriamente la instalación del controlador...).
Saludos!